org.jboss.jca.common.api.metadata.ds

## Enum DsXaPool.Tag

- java.lang.Object
- - java.lang.Enum<DsXaPool.Tag>
  - - org.jboss.jca.common.api.metadata.ds.DsXaPool.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DsXaPool.Tag>
  Enclosing interface:
    DsXaPool

      public static enum DsXaPool.Tag
      extends java.lang.Enum<DsXaPool.Tag>

  A Tag.
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW_MULTIPLE_USERS` allow-multiple-users tag
    `CAPACITY` capacity tag
    `CONNECTION_LISTENER` connection-listener tag
    `FAIR` fair tag
    `FLUSH_STRATEGY` flush-strategy tag
    `INITIAL_POOL_SIZE` initial-pool-size tag
    `INTERLEAVING` interleaving tag
    `IS_SAME_RM_OVERRIDE` is-same-rm-override tag
    `MAX_POOL_SIZE` max-pool-size tag
    `MIN_POOL_SIZE` min-pool-size tag
    `NO_TX_SEPARATE_POOLS` no-tx-separate-pools tag
    `PAD_XID` pad-xid tag
    `PREFILL` prefill tag
    `UNKNOWN` always first
    `USE_STRICT_MIN` use-strict-min tag
    `WRAP_XA_RESOURCE` wrap-xa-resource tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DsXaPool.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static DsXaPool.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DsXaPool.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final DsXaPool.Tag UNKNOWN

      always first

    - #### MIN_POOL_SIZE

          public static final DsXaPool.Tag MIN_POOL_SIZE

      min-pool-size tag

    - #### INITIAL_POOL_SIZE

          public static final DsXaPool.Tag INITIAL_POOL_SIZE

      initial-pool-size tag

    - #### MAX_POOL_SIZE

          public static final DsXaPool.Tag MAX_POOL_SIZE

      max-pool-size tag

    - #### PREFILL

          public static final DsXaPool.Tag PREFILL

      prefill tag

    - #### FAIR

          public static final DsXaPool.Tag FAIR

      fair tag

    - #### USE_STRICT_MIN

          public static final DsXaPool.Tag USE_STRICT_MIN

      use-strict-min tag

    - #### FLUSH_STRATEGY

          public static final DsXaPool.Tag FLUSH_STRATEGY

      flush-strategy tag

    - #### ALLOW_MULTIPLE_USERS

          public static final DsXaPool.Tag ALLOW_MULTIPLE_USERS

      allow-multiple-users tag

    - #### CAPACITY

          public static final DsXaPool.Tag CAPACITY

      capacity tag

    - #### CONNECTION_LISTENER

          public static final DsXaPool.Tag CONNECTION_LISTENER

      connection-listener tag

    - #### IS_SAME_RM_OVERRIDE

          public static final DsXaPool.Tag IS_SAME_RM_OVERRIDE

      is-same-rm-override tag

    - #### INTERLEAVING

          public static final DsXaPool.Tag INTERLEAVING

      interleaving tag

    - #### PAD_XID

          public static final DsXaPool.Tag PAD_XID

      pad-xid tag

    - #### WRAP_XA_RESOURCE

          public static final DsXaPool.Tag WRAP_XA_RESOURCE

      wrap-xa-resource tag

    - #### NO_TX_SEPARATE_POOLS

          public static final DsXaPool.Tag NO_TX_SEPARATE_POOLS

      no-tx-separate-pools tag

  - ### Method Detail

    - #### values

          public static DsXaPool.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DsXaPool.Tag c : DsXaPool.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DsXaPool.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DsXaPool.Tag>`

    - #### forName

          public static DsXaPool.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)